Skip to content

Transfers unassigned Idle or Blocked work to an Active admitted Queue without changing its state.

POST
/api/workspace/tasks/runtime/tasks/{taskId}/transfer
curl --request POST \
--url https://example.com/api/workspace/tasks/runtime/tasks/example/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "OperationId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "DestinationQueueId": "example" }'
taskId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Transfers an unassigned Idle or Blocked Task to an admitted Active Queue.

object
OperationId
string
nullable
RowVersion
string format: uuid
DestinationQueueId
string
nullable
Examplegenerated
{
"OperationId": "example",
"RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"DestinationQueueId": "example"
}

OK

Media typeapplication/json
object
Data
object
Replayed
boolean
Result

Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.

object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Subject
string
nullable
State
integer format: int32
Allowed values: 0 1 2 3 4 5
AssignedWorkerId
string
nullable
OwnerWorkerId
string
nullable
Priority
integer format: int64
CreatedAtUtc
string format: date-time
RowVersion
string format: uuid
Description
string
nullable
DueAtUtc
string format: date-time
nullable
AvailableAtUtc
string format: date-time
nullable
SubPriority
integer format: int64
Context

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Mode
integer format: int32
Allowed values: 0 1
TaskQueueId
string
nullable
ManagingResponsibleWorkerId
string
nullable
QueueEnteredAtUtc
string format: date-time
nullable
QueueManualRank
string
nullable
PostponedUntilUtc

When a Postponed Task returns to Idle; null in every other state.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Result": {
"State": 0,
"Mode": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
object
Replayed
boolean
Result

Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.

object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Subject
string
nullable
State
integer format: int32
Allowed values: 0 1 2 3 4 5
AssignedWorkerId
string
nullable
OwnerWorkerId
string
nullable
Priority
integer format: int64
CreatedAtUtc
string format: date-time
RowVersion
string format: uuid
Description
string
nullable
DueAtUtc
string format: date-time
nullable
AvailableAtUtc
string format: date-time
nullable
SubPriority
integer format: int64
Context

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Mode
integer format: int32
Allowed values: 0 1
TaskQueueId
string
nullable
ManagingResponsibleWorkerId
string
nullable
QueueEnteredAtUtc
string format: date-time
nullable
QueueManualRank
string
nullable
PostponedUntilUtc

When a Postponed Task returns to Idle; null in every other state.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Result": {
"State": 0,
"Mode": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
Data
object
Replayed
boolean
Result

Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.

object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Subject
string
nullable
State
integer format: int32
Allowed values: 0 1 2 3 4 5
AssignedWorkerId
string
nullable
OwnerWorkerId
string
nullable
Priority
integer format: int64
CreatedAtUtc
string format: date-time
RowVersion
string format: uuid
Description
string
nullable
DueAtUtc
string format: date-time
nullable
AvailableAtUtc
string format: date-time
nullable
SubPriority
integer format: int64
Context

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Mode
integer format: int32
Allowed values: 0 1
TaskQueueId
string
nullable
ManagingResponsibleWorkerId
string
nullable
QueueEnteredAtUtc
string format: date-time
nullable
QueueManualRank
string
nullable
PostponedUntilUtc

When a Postponed Task returns to Idle; null in every other state.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Result": {
"State": 0,
"Mode": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Not Found

Media typeapplication/json
object
Data
object
Replayed
boolean
Result

Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.

object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Subject
string
nullable
State
integer format: int32
Allowed values: 0 1 2 3 4 5
AssignedWorkerId
string
nullable
OwnerWorkerId
string
nullable
Priority
integer format: int64
CreatedAtUtc
string format: date-time
RowVersion
string format: uuid
Description
string
nullable
DueAtUtc
string format: date-time
nullable
AvailableAtUtc
string format: date-time
nullable
SubPriority
integer format: int64
Context

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Mode
integer format: int32
Allowed values: 0 1
TaskQueueId
string
nullable
ManagingResponsibleWorkerId
string
nullable
QueueEnteredAtUtc
string format: date-time
nullable
QueueManualRank
string
nullable
PostponedUntilUtc

When a Postponed Task returns to Idle; null in every other state.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Result": {
"State": 0,
"Mode": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data
object
Replayed
boolean
Result

Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.

object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Subject
string
nullable
State
integer format: int32
Allowed values: 0 1 2 3 4 5
AssignedWorkerId
string
nullable
OwnerWorkerId
string
nullable
Priority
integer format: int64
CreatedAtUtc
string format: date-time
RowVersion
string format: uuid
Description
string
nullable
DueAtUtc
string format: date-time
nullable
AvailableAtUtc
string format: date-time
nullable
SubPriority
integer format: int64
Context

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Mode
integer format: int32
Allowed values: 0 1
TaskQueueId
string
nullable
ManagingResponsibleWorkerId
string
nullable
QueueEnteredAtUtc
string format: date-time
nullable
QueueManualRank
string
nullable
PostponedUntilUtc

When a Postponed Task returns to Idle; null in every other state.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Result": {
"State": 0,
"Mode": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}